Skip to main content
POST
https://api.kanarie.xyz
/
api
/
v1
/
data
/
fundamentals
/
history
Get fundamentals history
curl --request POST \
  --url https://api.kanarie.xyz/api/v1/data/fundamentals/history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metric": "tvl"
}
'
{
  "success": true,
  "error": null,
  "data_source": "defi_llama",
  "data": [
    {
      "period": "2026-03-20",
      "data": {
        "aave": 125000000
      }
    }
  ],
  "metadata": {
    "metric": "tvl",
    "group_by": "protocol",
    "total_periods": 30
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kanarie.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:YOUR_KANARIE_API_KEY
required

Preferred Kanarie API key authentication using Authorization: Bearer .

Body

application/json
metric
enum<string>
required
Available options:
tvl,
fees,
revenue,
volume
ecosystem_ids
integer[] | null
project_ids
integer[] | null
categories
string[] | null
group_by
enum<string>
Available options:
protocol,
chain,
category
date_grouping
enum<string>
Available options:
daily,
weekly,
monthly
start_date
string<date> | null
end_date
string<date> | null
entity_limit
integer
default:10
Required range: 1 <= x <= 50

Response

Historical fundamentals rows.

success
boolean
required
error
string | null
data
object
analysis
object
results
object[]
projects
object[]
metadata
object